// MyTime.h : main header file for the CMyTime class
//
const int BUFLEN = 256;
class CMyTime{
private:
  int hou, min, sec; 
  char* name;
  char* comment;
  int validate(int, int, int);
public:
  CMyTime(int ho, int mi, int se, char* nam, char* com); 
  CMyTime(const CMyTime& cmt); 
  CMyTime(); 
  ~CMyTime();
  int seth(int hou_new){int hou_old = hou; hou = validate(hou_new, 0, 23); return hou_old;}
  int setm(int min_new){int min_old = min; min = validate(min_new, 0, 59); return min_old;}
  int sets(int sec_new){int sec_old = sec; sec = validate(sec_new, 0, 59); return sec_old;}
  int setn(char* name_new);
  int setc(char* comment_new);
  int sethms(int hou_new, int min_new, int sec_new){seth(hou_new); setm(min_new); sets(sec_new); return 1;}
  int sethms(){hou = 12; min = 0; sec = 0; return 1;}
  int geth(){return hou;}
  int getm(){return min;}
  int gets(){return sec;}
  char* getn(){return name;}
  char* getc(){return comment;}
	int MyPrint(char*, char*);
	CMyTime& operator=(CMyTime& cmt);
  operator int()const; //see
	friend CMyTime operator+(CMyTime& cmt1, CMyTime& cmt2); 
	friend CMyTime operator+(int sec1, CMyTime& cmt2); 
	friend CMyTime operator+(CMyTime& cmt1, int sec2); 
	friend CMyTime operator-(CMyTime& cmt1, int sec2); 
	friend ofstream& operator<<(ofstream& ofs, CMyTime& cmt); 
	friend ifstream& operator>>(ifstream& ofs, CMyTime& cmt); 
	bool operator<(const CMyTime& cmt); 
	bool operator>(const CMyTime& cmt); 
	bool operator==(const CMyTime& cmt);  
	bool operator!=(const CMyTime& cmt);  
	CMyTime& operator!(); 
  int swap(CMyTime *pt2);
};

int incr(int, int);
int decr(int, int);
int MonotIncrease(CMyTime *tims, int N); 
int swap(CMyTime *pt1, CMyTime *pt2); 
