// my.cpp : Defines the entry point for the console application.
//
#include "MyStream.h"
#include "MyTime.h"
#include "math.h"
using namespace std;

int main(){  
{
  myofs.open("proto5n23.txt");
  myofs << " 1.    CMyTime   :" << endl;
  CMyTime cmtx(21, 15, 47, "Caterpillar", "  ,    "); 
  myofs.close();
  myofs.open("mydata.dat");
  myofs << cmtx.geth() << " " << cmtx.getm() << " " << cmtx.gets() << " " << cmtx.getn() << " " << cmtx.getc() << endl;
  myofs.close();
  myofs.open("proto5n23.txt", ios_base::app);
  {
    myofs << "Team 123,   . 18  2008 ." << endl; 
    myofs << "  5-23.  " << endl << endl; 
  }

  myofs << " 1.    CMyTime   :" << endl;
  CMyTime cmt(19, 33, 51, "Cat", "  ,  "); 
  myofs << cmt << endl;
  myofs << "         CMyTime:" << endl;
  myifs.open("mydata.dat");
  myifs >> cmt;
  myifs.close();
  myofs << cmt << endl;

  myofs << " 3.    CMyTime    new:" << endl;
  CMyTime *ptim1 = new CMyTime(14, 24, 34, "Kenguru", "Africa animal");
  CMyTime *ptim2 = new CMyTime(21, 31, 41, "Pinguin", "Sea bird");
  CMyTime *ptim3 = new CMyTime(3, 4, 5, "Shark", "Underwater beast");
  CMyTime *ptim4 = new CMyTime(*ptim3);
  CMyTime *ptim5 = new CMyTime(7, 12, 53, "Dolphin", "Water animal"); 
  CMyTime *ptim6 = new CMyTime(16, 42, 17, "Medved", "Chi-huana boy"); 

  myofs << " 3.     CMyTime:" << endl;
  const int N = 8; 
  CMyTime *tims = new CMyTime[N]; 
  char *Suits[] = {"Norka", "Medved", "Lyra", "GavGav", "Labrador", "Chi-HuaHua", "Taxa", "Murka"};
  char buf[BUFLEN]; 
  int ncur = 0; 
  for(int n=0; n<N; n++){ 
    tims[n].sethms(rand()%24, rand()%60, rand()%60); 
    tims[n].setn(Suits[n]); 
    int len = 3+rand()%8;
    for(int k=0; k<len; k++){
      strcpy(buf, Suits[rand()%8]);
      tims[n].setc(buf);
    }
  }
  myofs << endl << " tims after random initialization:" << endl; 
  for(int n=0; n<N; n++){myofs << tims[n] << endl;} myofs << endl;

  myofs << " 3.     CMyTime:" << endl;
  MonotIncrease(tims, N); 
  myofs << endl << " tims after sorting:" << endl; 
  for(int n=0; n<N; n++){myofs << tims[n] << endl;} myofs << endl << endl;
  char buf1[BUFLEN];
{
  CMyTime *pt1 = new CMyTime(14, 24, 34, "Kenguru", "Africa animal");
  CMyTime *pt2 = new CMyTime(21, 31, 41, "Pinguin", "Sea bird");
  myofs << " 3.  swap" << endl;
  myofs << "     swap" << endl;
  myofs << " *pt1=:"; myofs << *pt1 << endl;
  myofs << " *pt2=:"; myofs << *pt2 << endl << endl;
  swap(pt1, pt2);
  myofs << endl << "     swap" << endl;
  myofs << " *pt1=:"; myofs << *pt1 << endl;
  myofs << " *pt2=:"; myofs << *pt2 << endl << endl;
}
{
  CMyTime *pt1 = new CMyTime(14, 24, 34, "Kenguru", "Africa animal");
  CMyTime *pt2 = new CMyTime(21, 31, 41, "Pinguin", "Sea bird");
  myofs << " 3.  !=" << endl;
  myofs << "   !=" << endl;
  myofs << " *pt1=:"; myofs << *pt1 << endl;
  myofs << " *pt2=:"; myofs << *pt2 << endl << endl;
  *pt2 = !*pt1; 
  !*pt1; 
  myofs << "   !=" << endl;
  myofs << " *pt1=:"; myofs << *pt1 << endl;
  myofs << " *pt2=:"; myofs << *pt2 << endl << endl;
}
  myofs << " 3.  =" << endl;
  myofs << "     =" << endl;
  myofs << " *ptim3=:"; myofs << *ptim3 << endl;
  myofs << " *ptim4=:"; myofs << *ptim4 << endl << endl;
  *ptim3 = *ptim4;  
  myofs << "     !=" << endl;
  myofs << " *ptim3=:"; myofs << *ptim3 << endl;
  myofs << " *ptim4=:"; myofs << *ptim4 << endl << endl;

  ptim1->MyPrint("ptim1=", buf);  
  myofs << buf << endl;
  ptim2->MyPrint("ptim2=", buf); 
  myofs << buf << endl;
  ptim3->MyPrint("ptim3=", buf);  
  myofs << buf << endl;
  ptim4->MyPrint("ptim4=", buf);  
  myofs << buf << endl;
  *(ptim6) = *ptim1 + *ptim2; 
  int m = *(ptim6); //see
  sprintf(buf1, "ptim1+ptim2= (%6d) ", m);
  ptim6->MyPrint(buf1, buf);  
  myofs << buf << endl;
 
//void CmyDlg::OnBnClickedButtonRight(){
  // TODO: Add your control notification handler code here
  myofs << " Button RIGHT pressed." << endl;
  int n = incr(ncur, N);
  int n1 = n+1; if(n1 >= N) n1 = n; 
  tims[n].MyPrint("", buf1);
  strcpy(buf, buf1);
  if(tims[n] < tims[n1]) strcat(buf, "    <    "); 
  else 
  if(tims[n] > tims[n1]) strcat(buf, "    >    "); 
  else
    strcat(buf, "    =    "); 
  tims[n1].MyPrint("", buf1);
  strcat(buf, buf1);
  myofs << buf << endl;
  *(ptim6) = tims[n] + tims[n1]; 
  m = *(ptim6); 
  sprintf(buf1, " cur+next= (%6d) ", m); 
  ptim6->MyPrint(buf1, buf); 
  myofs << buf << " Button RIGHT pressed." << endl;
// }
// void CmyDlg::OnBnClickedButtonLeft(){
  // TODO: Add your control notification handler code here
  myofs << " Button LEFT pressed." << endl;
  n = decr(ncur, N);
  n1 = n+1; if(n1 >= N) n1 = n; 
  tims[n].MyPrint("", buf1);
  strcpy_s(buf, BUFLEN, buf1);
  if(tims[n] < tims[n1]) strcat_s(buf, BUFLEN, "    <    "); 
  else 
  if(tims[n] > tims[n1]) strcat_s(buf, BUFLEN, "    >    "); 
  else
    strcat_s(buf, BUFLEN, "    =    "); 
  tims[n1].MyPrint("", buf1);
  strcat_s(buf, BUFLEN, buf1);
  myofs << buf << endl;
  *(ptim6) = tims[n] + tims[n1]; 
  m = *(ptim6); 
  sprintf(buf1, " cur+next= (%6d) ", m); 
  ptim6->MyPrint(buf1, buf); 
  myofs << buf << " Button LEFT pressed." << endl;
// }
  delete ptim1;
  delete ptim2;
  delete ptim3;
  delete ptim4;
  delete ptim5; 
  delete ptim6; 
  delete[] tims;
  }
  myofs.close();
  return 0;
}

